GNU bug report logs - #16429
EMACSDATA in the MS Windows registry can interfere with building

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: zijianyue <zijianyue@HIDDEN>; Keywords: confirmed; dated Mon, 13 Jan 2014 07:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 22 Oct 2014 04:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 00:43:11 2014
Received: from localhost ([127.0.0.1]:59025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XgnlP-0001LQ-Fz
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 00:43:11 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:57769 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>)
 id 1XgnlM-0001LC-V7; Wed, 22 Oct 2014 00:43:09 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XgnlL-0004zc-0v; Wed, 22 Oct 2014 00:43:07 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18765: Re: Re: Re: bug#18765: Emacs 24.4 release candidate
 1:	"term/w32-win.el"	is	missing on Windows
References: <tencent_64F9B8FA775645665C5D5275@HIDDEN> <834mv1e0hk.fsf@HIDDEN>
 <831tq5e0ch.fsf@HIDDEN> <tencent_2F7D25C1344405A257657314@HIDDEN>
 <83wq7wdbdx.fsf@HIDDEN> <tencent_5F72EE2D310B0E4F2588C299@HIDDEN>
 <83ppdochcp.fsf@HIDDEN> <tencent_50EC3E993138CF71449EAA47@HIDDEN>
 <83r3y19v0s.fsf@HIDDEN> <nd7fztdvvw.fsf@HIDDEN>
 <83bnp59nbx.fsf@HIDDEN> <qotx2xqg3g.fsf@HIDDEN>
 <8361fcaker.fsf@HIDDEN>
X-Spook: White House JSOFC3IP spy secure Verisign Vickie Weaver
X-Ran: !x##/,I+=mhS&6+eCk{vH5}fk@tlJ,8_R#:X{R/8nPK_@J^3U^/Q''>1ur}8?tl/?3&YhA
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 22 Oct 2014 00:43:06 -0400
In-Reply-To: <8361fcaker.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Oct
 2014 05:49:16 +0300")
Message-ID: <8lppdk3eat.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 16429
Cc: 18765 <at> debbugs.gnu.org, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

Eli Zaretskii wrote:

> Why are you talking about the Makefile?  The problem ws not in
> invoking Emacs from the Makefile, it was in interactive usage after
> the build is done (in bug #18765).

Oh, durr, I wasn't paying attention, sorry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 22 Oct 2014 02:49:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 21 22:49:33 2014
Received: from localhost ([127.0.0.1]:58976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XglzQ-0006uf-UH
	for submit <at> debbugs.gnu.org; Tue, 21 Oct 2014 22:49:33 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:59486)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>)
 id 1XglzM-0006uH-23; Tue, 21 Oct 2014 22:49:29 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NDT00E00QVD6G00@HIDDEN>;
 Wed, 22 Oct 2014 05:49:21 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NDT00EGPRU87G30@HIDDEN>;
 Wed, 22 Oct 2014 05:49:21 +0300 (IDT)
Date: Wed, 22 Oct 2014 05:49:16 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18765: Re: Re: Re: bug#18765: Emacs 24.4 release candidate
 1:	"term/w32-win.el"	is	missing on Windows
In-reply-to: <qotx2xqg3g.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <8361fcaker.fsf@HIDDEN>
References: <tencent_64F9B8FA775645665C5D5275@HIDDEN> <834mv1e0hk.fsf@HIDDEN>
 <831tq5e0ch.fsf@HIDDEN> <tencent_2F7D25C1344405A257657314@HIDDEN>
 <83wq7wdbdx.fsf@HIDDEN> <tencent_5F72EE2D310B0E4F2588C299@HIDDEN>
 <83ppdochcp.fsf@HIDDEN> <tencent_50EC3E993138CF71449EAA47@HIDDEN>
 <83r3y19v0s.fsf@HIDDEN> <nd7fztdvvw.fsf@HIDDEN>
 <83bnp59nbx.fsf@HIDDEN> <qotx2xqg3g.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16429
Cc: 18765 <at> debbugs.gnu.org, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: 18765 <at> debbugs.gnu.org, 16429 <at> debbugs.gnu.org
> Date: Tue, 21 Oct 2014 17:15:47 -0400
> 
> Eli Zaretskii wrote:
> 
> > If you know how, please suggest a method.
> 
> Either a command-line option meaning "ignore the registry", which gets
> added to the Makefile Emacs flags

How does this help when the user just invokes "emacs" with no options,
as in this case?

> or, if environment variables trump the registry, change it so that
> empty environment variables mean "use the defaults" (right now they
> just break things), and change the Makefiles to set empty
> environment variables rather than unsetting them like they do now
> (seemed not straightforward last time I looked).

Why are you talking about the Makefile?  The problem ws not in
invoking Emacs from the Makefile, it was in interactive usage after
the build is done (in bug #18765).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 21 Oct 2014 21:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 21 17:15:52 2014
Received: from localhost ([127.0.0.1]:58915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XggmV-0006mI-Qg
	for submit <at> debbugs.gnu.org; Tue, 21 Oct 2014 17:15:52 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:52132 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>)
 id 1XggmS-0006m5-Ve; Tue, 21 Oct 2014 17:15:49 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XggmR-0004zs-MF; Tue, 21 Oct 2014 17:15:47 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18765: Re: Re: Re: bug#18765: Emacs 24.4 release candidate
 1:	"term/w32-win.el"	is	missing on Windows
References: <tencent_64F9B8FA775645665C5D5275@HIDDEN> <834mv1e0hk.fsf@HIDDEN>
 <831tq5e0ch.fsf@HIDDEN> <tencent_2F7D25C1344405A257657314@HIDDEN>
 <83wq7wdbdx.fsf@HIDDEN> <tencent_5F72EE2D310B0E4F2588C299@HIDDEN>
 <83ppdochcp.fsf@HIDDEN> <tencent_50EC3E993138CF71449EAA47@HIDDEN>
 <83r3y19v0s.fsf@HIDDEN> <nd7fztdvvw.fsf@HIDDEN>
 <83bnp59nbx.fsf@HIDDEN>
X-Spook: argus Khaddafi Cocaine constitution Fortezza Iran red
X-Ran: t4KUdfGv5])[t^AlPzx*nB~bVGES$x{ZfJ'>C-xV//!muHM@Ys=Vq#Q<W5.\iu)K~BR{[1
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 21 Oct 2014 17:15:47 -0400
In-Reply-To: <83bnp59nbx.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 21 Oct
 2014 23:31:30 +0300")
Message-ID: <qotx2xqg3g.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 16429
Cc: 18765 <at> debbugs.gnu.org, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Eli Zaretskii wrote:

> If you know how, please suggest a method.

Either a command-line option meaning "ignore the registry", which gets
added to the Makefile Emacs flags; or, if environment variables trump
the registry, change it so that empty environment variables mean "use
the defaults" (right now they just break things), and change the
Makefiles to set empty environment variables rather than unsetting them
like they do now (seemed not straightforward last time I looked).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.
Severity set to 'minor' from 'important' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'EMACSDATA in the MS Windows registry can interfere with building' from 'EMACSDATA in the environment can interfere with building' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 11 Apr 2014 06:55:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 11 02:55:53 2014
Received: from localhost ([127.0.0.1]:45116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WYVNP-0002Ug-JV
	for submit <at> debbugs.gnu.org; Fri, 11 Apr 2014 02:55:52 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59510 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WYVNM-0002UX-AN
 for 16429 <at> debbugs.gnu.org; Fri, 11 Apr 2014 02:55:49 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WYVNL-0002ig-EF; Fri, 11 Apr 2014 02:55:47 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 16429 <at> debbugs.gnu.org
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN> <83k3e35f81.fsf@HIDDEN>
 <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
 <uneh1y4sbc.fsf@HIDDEN>
X-Spook: rs9512c ANDVT 2600 Magazine Osama Ermes CESID JUWTF
X-Ran: kIiY9~w2ia0zc')){:0)G>s^VZ+TWj=UD~a{/Ij`I)pA9*~oNwv:0*k=&h$?7s(YSeGQcQ
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 11 Apr 2014 02:55:47 -0400
In-Reply-To: <uneh1y4sbc.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 19 Mar 2014 02:26:47 -0400")
Message-ID: <5qha60xslo.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 16429
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)


Fixed for POSIX platforms.
Leaving open with downgraded severity since the MS Windows registry
could presumably still be a problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.
Changed bug title to 'EMACSDATA in the environment can interfere with building' from '24.3.50; an issue in mingw making' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 19 Mar 2014 06:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 19 02:26:54 2014
Received: from localhost ([127.0.0.1]:40643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WQ9xk-0005h2-SE
	for submit <at> debbugs.gnu.org; Wed, 19 Mar 2014 02:26:53 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:35487)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WQ9xh-0005gn-JN
 for 16429 <at> debbugs.gnu.org; Wed, 19 Mar 2014 02:26:50 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WQ9xf-0005gg-CN; Wed, 19 Mar 2014 02:26:47 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN> <83k3e35f81.fsf@HIDDEN>
 <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
X-Spook: Mahmoud Ahmadinejad sweep fraud AMW Consul INSCOM
X-Ran: W&McxU)CtBOjB7r%Qi<WkH|P^2+k(7+GFZ_u@@*1bv?;gClOyt=&*z7{OfW5R2BRkv3eBP
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 19 Mar 2014 02:26:47 -0400
Message-ID: <uneh1y4sbc.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 16429
Cc: zijianyue <zijianyue@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Juanma Barranquero wrote:

> Is anything else to be done in this report, or can we close it?

It still needs fixing.

The build process should be robust against EMACSDATA (and DOC, PATH, if
they matter) being previously set in the user's environment (and
registry on MS Windows, if possible).

In other words, something like:

export EMACSDATA=/path/to/emacs/21/etc

should not break a subsequent build of Emacs 24.4 in that environment.


The fix is to use EMACSDATA= where appropriate in the Makefiles,
and to change emacs to ignore an empty value. Or to unset EMACSDATA in
the Makefiles.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429-done <at> debbugs.gnu.org:


Received: (at 16429-done) by debbugs.gnu.org; 19 Mar 2014 04:00:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 19 00:00:47 2014
Received: from localhost ([127.0.0.1]:40609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WQ7gL-0001Rf-51
	for submit <at> debbugs.gnu.org; Wed, 19 Mar 2014 00:00:46 -0400
Received: from mail-yh0-f52.google.com ([209.85.213.52]:62654)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WQ7gH-0001RP-Oe
 for 16429-done <at> debbugs.gnu.org; Wed, 19 Mar 2014 00:00:42 -0400
Received: by mail-yh0-f52.google.com with SMTP id c41so7951866yho.25
 for <16429-done <at> debbugs.gnu.org>; Tue, 18 Mar 2014 21:00:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=2p2yhaSD7p577nUQVmlpwdfJOHNnZ5ms5dmDy7p7iaM=;
 b=tlU9ONhWNwwzMv6rviHLuveHWeIOQ5ZacZTWoWLJkczf2jKVm+8UVPBGimNoLmrpr8
 R/DjqNjE1xnBhS2wncdgKcMqAVv55OGO3eSLmRCQnOmrHnPS8/0Lb8TtKxyZ9U1xxERS
 RPQhnRo90s2MUMEfWpuYJROUxwdQ+QBsyeQOI+nI/SCnHkLZRzyyNhewrNJRiCC9kf1v
 BUaMofLBJXpTVdAPkGOUD9Eqig9uYInfYEX6qd3t5uE4DYiyb/Jnxom+02QeBW/QNhU2
 LujGJvAsRZuHJ5cxciiX5jWeRDryLaLKABBN7LMd7EmUPl0biqsHqiRVhtu0hyh23Yk+
 ovtw==
X-Received: by 10.236.160.136 with SMTP id u8mr23141969yhk.32.1395201640932;
 Tue, 18 Mar 2014 21:00:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.163.3 with HTTP; Tue, 18 Mar 2014 21:00:00 -0700 (PDT)
In-Reply-To: <83ha6ualvg.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN> <83k3e35f81.fsf@HIDDEN>
 <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
 <83ha6ualvg.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 19 Mar 2014 05:00:00 +0100
Message-ID: <CAAeL0STrXdxK+3b-pNEVno3AiK4hy75uSWCq5UHBOiEKr8eotA@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16429-done
Cc: zijianyue@HIDDEN, 16429-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

OK, done.




Notification sent to zijianyue <zijianyue@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Juanma Barranquero <lekktu@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 19 Mar 2014 03:49:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 18 23:49:20 2014
Received: from localhost ([127.0.0.1]:40605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WQ7VH-000157-Ow
	for submit <at> debbugs.gnu.org; Tue, 18 Mar 2014 23:49:20 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:63329)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WQ7VE-00014x-5P
 for 16429 <at> debbugs.gnu.org; Tue, 18 Mar 2014 23:49:17 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N2N00B00Z81Z500@HIDDEN> for 16429 <at> debbugs.gnu.org;
 Wed, 19 Mar 2014 05:49:14 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N2N00CZFZY10T00@HIDDEN>;
 Wed, 19 Mar 2014 05:49:14 +0200 (IST)
Date: Wed, 19 Mar 2014 05:49:23 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
In-reply-to: <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juanma Barranquero <lekktu@HIDDEN>
Message-id: <83ha6ualvg.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN> <83k3e35f81.fsf@HIDDEN>
 <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16429
Cc: zijianyue@HIDDEN, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Tue, 18 Mar 2014 22:32:00 +0100
> Cc: zijianyue <zijianyue@HIDDEN>, 16429 <at> debbugs.gnu.org
> 
> Is anything else to be done in this report, or can we close it?

I think we can close it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 18 Mar 2014 21:32:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 18 17:32:44 2014
Received: from localhost ([127.0.0.1]:40456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WQ1cp-0005Zc-Ox
	for submit <at> debbugs.gnu.org; Tue, 18 Mar 2014 17:32:44 -0400
Received: from mail-yh0-f46.google.com ([209.85.213.46]:34987)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WQ1cn-0005ZR-JY
 for 16429 <at> debbugs.gnu.org; Tue, 18 Mar 2014 17:32:42 -0400
Received: by mail-yh0-f46.google.com with SMTP id b6so7656308yha.33
 for <16429 <at> debbugs.gnu.org>; Tue, 18 Mar 2014 14:32:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=9v7WtSe1NSkUD5t6d1mrRK3tH713j0t7r/Hw2n99yso=;
 b=jXCdUBYPEIsEx/MIITZwkR+rlwSSHbf6ntxccVFYV3SQ4Rv7qjJkFAINlLZrVh3o03
 NGl+HBDF60NVC6h/lGBt/4RYcLyBiVrlc56NgU1uFI+RklTcYwyAXxbixP+HsxCYBg8o
 q/+hPcy7hGxd1bxm+YUplPkXRPRhZP7wXZ6hDiMbpZP5SnW17HjbFAYaSbNfYR/HTLS3
 J1/wjeKw+x3QpCZiyKSj/YWVgZg4F57jH74+Gs4VbEi5PGVgy0f3LQV5CRPN0rsW4PT8
 AXn9nB/QU2UfHuF+RTgfT4VWuoiXLsd5vdXP87DTPAFPkC4XuMmehOYAW6NtEHirF5kh
 FOLg==
X-Received: by 10.236.149.2 with SMTP id w2mr4900690yhj.114.1395178360810;
 Tue, 18 Mar 2014 14:32:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.163.3 with HTTP; Tue, 18 Mar 2014 14:32:00 -0700 (PDT)
In-Reply-To: <83k3e35f81.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN> <83k3e35f81.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Tue, 18 Mar 2014 22:32:00 +0100
Message-ID: <CAAeL0SRu95BzAH6i-H50sSANrK1eKj5Ao2xs3V42Smj=RDdVAg@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16429
Cc: zijianyue <zijianyue@HIDDEN>, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Is anything else to be done in this report, or can we close it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 14 Jan 2014 05:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 00:01:49 2014
Received: from localhost ([127.0.0.1]:49635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2w8L-00079R-De
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2014 00:01:49 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:59139)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W2w8H-00079D-OB
 for 16429 <at> debbugs.gnu.org; Tue, 14 Jan 2014 00:01:47 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0MZD00D00K2WZ200@HIDDEN> for
 16429 <at> debbugs.gnu.org; Tue, 14 Jan 2014 07:01:26 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZD006LAKMECDA0@HIDDEN>; Tue, 14 Jan 2014 07:01:26 +0200 (IST)
Date: Tue, 14 Jan 2014 07:01:34 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
In-reply-to: <201401140912370787667@HIDDEN>
To: zijianyue <zijianyue@HIDDEN>
Message-id: <83k3e35f81.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN> <838uuj7rhv.fsf@HIDDEN>
 <201401140912370787667@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16429
Cc: 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Tue, 14 Jan 2014 09:12:39 +0800
> From: zijianyue <zijianyue@HIDDEN>
> Cc: 16429 <16429 <at> debbugs.gnu.org>
> 
> thanks! I use Tortoise Bazaar ,checkout from bzr://bzr.sv.gnu.org/emacs/trunk .
> my environment was create by clicking the program addpm.exe .

Do you really have no directory etc/charsets when you checkout from
bzr?  Or did Emacs complain about that, and you therefore thought the
directory didn't exist?

As for addpm.exe, I advise you not to use it anymore.  It is not
needed, and just pollutes the Registry with settings that are
redundant, and could harm you, as Glenn points out.  We still provide
that program only for back-compatibility and for non-standard setups.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 14 Jan 2014 01:12:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 20:12:39 2014
Received: from localhost ([127.0.0.1]:49549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2sYY-00006n-HY
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 20:12:38 -0500
Received: from m50-132.163.com ([123.125.50.132]:42711)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <zijianyue@HIDDEN>) id 1W2sYU-00006X-4f
 for 16429 <at> debbugs.gnu.org; Mon, 13 Jan 2014 20:12:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=Date:From:Subject:Mime-Version:Message-ID; bh=QFK7q
 MyeSgRf6kkjUAubMqE3INrOGAh/ygoTHy4tZEg=; b=kTMBfBkE0U5hM2r5M71dx
 KGBV7Pwz8CUCy3/1U8gDjTEWReBQ1EBOVk1YmjQ9suder2186nZHmxG7PJrc33So
 GNMSiqaNX1cmHw/cZ/g8iJN3VwNe8iNObAjdsGRLHYN6dwW8KHWkBZS55Tbzhqqf
 qncNaPt0+TVSaJFhThVVn4=
Received: from XP-201104270939 (unknown [122.143.3.194])
 by smtp2 (Coremail) with SMTP id DNGowEDpv139jtRSU3IgCg--.8243S2;
 Tue, 14 Jan 2014 09:12:30 +0800 (CST)
Date: Tue, 14 Jan 2014 09:12:39 +0800
From: zijianyue <zijianyue@HIDDEN>
To: "Eli Zaretskii" <eliz@HIDDEN>
Subject: Re: Re: bug#16429: 24.3.50; an issue in mingw making
References: <201401131510563598711@HIDDEN>, 
	<838uuj7rhv.fsf@HIDDEN>
X-Priority: 3
X-GUID: 0BFD606C-259C-40AC-8167-663E5BBFB146
X-Has-Attach: no
X-Mailer: Foxmail 7, 1, 3, 52[cn]
Mime-Version: 1.0
Message-ID: <201401140912370787667@HIDDEN>
Content-Type: multipart/alternative;
 boundary="----=_001_NextPart335535385214_=----"
X-CM-TRANSID: DNGowEDpv139jtRSU3IgCg--.8243S2
X-Coremail-Antispam: 1Uf129KBjvdXoWruF48Xry5ZryrKF18Kr1DAwb_yoW3JFbE9F
 yrt3s7C3Wj9FsFg39FgFWIvr95trW7W3W5XwnFka98ZryfA398WFWjqrZFqayDAFs8WFyY
 93WrJF1DGwnIkjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7IUUyEEUUUUUU==
X-Originating-IP: [122.143.3.194]
X-CM-SenderInfo: 52lmxtpq1xvqqrwthudrp/1tbiWw8TRlD+R0AATgAAsm
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  thanks! I use Tortoise Bazaar ,
 checkout from bzr://bzr.sv.gnu.org/emacs/trunk
 . my environment was create by clicking the program addpm.exe . zijianyue
 From: Eli Zaretskii Date: 2014-01-14 00:53 To: zijianyue CC: 16429 Subject:
 Re: bug#16429: 24.3.50; an issue in mingw making > Date: Mon, 13 Jan 2014
 15:11:33 +0800 > From: zijianyue <zijianyue@HIDDEN> > > when making emacs
 from bzr sourcecode the first time on win32 ,
 the dir > share\emacs\24.3.50\etc\charsets
 is not exist ,but the making process > require it,i have to copy that dir
 manually. [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.0 BAD_MAILER             X-Mailer is often used for spam
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.1 RP_MATCHES_RCVD Envelope sender domain matches handover relay domain
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 16429
Cc: 16429 <16429 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  thanks! I use Tortoise Bazaar ,checkout from bzr://bzr.sv.gnu.org/emacs/trunk
    . my environment was create by clicking the program addpm.exe . zijianyue
    From: Eli Zaretskii Date: 2014-01-14 00:53 To: zijianyue CC: 16429 Subject:
    Re: bug#16429: 24.3.50; an issue in mingw making > Date: Mon, 13 Jan 2014
    15:11:33 +0800 > From: zijianyue <zijianyue@HIDDEN> > > when making emacs
    from bzr sourcecode the first time on win32 ,the dir > share\emacs\24.3.50\etc\charsets
    is not exist ,but the making process > require it,i have to copy that dir
    manually. [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.0 BAD_MAILER             X-Mailer is often used for spam
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.1 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.0 HTML_MESSAGE           BODY: HTML included in message
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

This is a multi-part message in MIME format.

------=_001_NextPart335535385214_=----
Content-Type: text/plain;
	charset="GB2312"
Content-Transfer-Encoding: base64

dGhhbmtzISBJIHVzZSBUb3J0b2lzZSBCYXphYXIgLGNoZWNrb3V0IGZyb20gYnpyOi8vYnpyLnN2
LmdudS5vcmcvZW1hY3MvdHJ1bmsgLg0KbXkgZW52aXJvbm1lbnQgd2FzIGNyZWF0ZSBieSBjbGlj
a2luZyB0aGUgcHJvZ3JhbSBhZGRwbS5leGUgLg0KDQoNCg0KDQoNCnppamlhbnl1ZQ0KDQpGcm9t
OiBFbGkgWmFyZXRza2lpDQpEYXRlOiAyMDE0LTAxLTE0IDAwOjUzDQpUbzogemlqaWFueXVlDQpD
QzogMTY0MjkNClN1YmplY3Q6IFJlOiBidWcjMTY0Mjk6IDI0LjMuNTA7IGFuIGlzc3VlIGluIG1p
bmd3IG1ha2luZw0KPiBEYXRlOiBNb24sIDEzIEphbiAyMDE0IDE1OjExOjMzICswODAwDQo+IEZy
b206IHppamlhbnl1ZSA8emlqaWFueXVlQDE2My5jb20+DQo+IA0KPiB3aGVuIG1ha2luZyBlbWFj
cyBmcm9tIGJ6ciBzb3VyY2Vjb2RlIHRoZSBmaXJzdCB0aW1lIG9uIHdpbjMyICx0aGUgZGlyDQo+
IHNoYXJlXGVtYWNzXDI0LjMuNTBcZXRjXGNoYXJzZXRzIGlzIG5vdCBleGlzdCAsYnV0IHRoZSBt
YWtpbmcgcHJvY2Vzcw0KPiByZXF1aXJlIGl0LGkgaGF2ZSB0byBjb3B5IHRoYXQgZGlyIG1hbnVh
bGx5Lg0KDQpJIGNhbm5vdCByZXByb2R1Y2UgdGhpczogd2hlbiBJIG1ha2UgYSBmcmVzaCBienIg
YnJhbmNoLCB0aGF0DQpkaXJlY3Rvcnkgd2l0aCBhbGwgaXRzIGZpbGVzIGlzIGFscmVhZHkgY3Jl
YXRlZCBmb3IgbWUuDQoNCkhvdyBkaWQgeW91IHBlcmZvcm0gdGhlIGluaXRpYWwgYnpyIGJyYW5j
aCBjb21tYW5kPw==

------=_001_NextPart335535385214_=----
Content-Type: text/html;
	charset="GB2312"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Dgb2312" http-equiv=3DContent-Type>
<STYLE>
BLOCKQUOTE {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px; MARGIN-LEFT: 2em
}
OL {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
UL {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
P {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
BODY {
	LINE-HEIGHT: 1.5; FONT-FAMILY: =CB=CE=CC=E5; COLOR: #000000; FONT-SIZE: 1=
0.5pt
}
</STYLE>

<META name=3DGENERATOR content=3D"MSHTML 8.00.6001.23543"></HEAD>
<BODY style=3D"MARGIN: 10px">
<DIV>thanks! I use Tortoise Bazaar ,checkout from=20
bzr://bzr.sv.gnu.org/emacs/trunk .</DIV>
<DIV>my environment was create by clicking the program addpm.exe .</DIV>
<DIV>&nbsp;</DIV>
<DIV>&nbsp;</DIV>
<HR style=3D"WIDTH: 210px; HEIGHT: 1px" align=3Dleft color=3D#b5c4df SIZE=
=3D1>

<DIV><SPAN>zijianyue</SPAN></DIV>
<DIV>&nbsp;</DIV>
<DIV=20
style=3D"BORDER-BOTTOM: medium none; BORDER-LEFT: medium none; PADDING-BOT=
TOM: 0cm; PADDING-LEFT: 0cm; PADDING-RIGHT: 0cm; BORDER-TOP: #b5c4df 1pt s=
olid; BORDER-RIGHT: medium none; PADDING-TOP: 3pt">
<DIV=20
style=3D"PADDING-BOTTOM: 8px; PADDING-LEFT: 8px; PADDING-RIGHT: 8px; FONT-=
FAMILY: tahoma; BACKGROUND: #efefef; COLOR: #000000; FONT-SIZE: 12px; PADD=
ING-TOP: 8px">
<DIV><B>From:</B>&nbsp;<A href=3D"mailto:eliz@HIDDEN">Eli Zaretskii</A></=
DIV>
<DIV><B>Date:</B>&nbsp;2014-01-14&nbsp;00:53</DIV>
<DIV><B>To:</B>&nbsp;<A href=3D"mailto:zijianyue@HIDDEN">zijianyue</A></D=
IV>
<DIV><B>CC:</B>&nbsp;<A href=3D"mailto:16429 <at> debbugs.gnu.org">16429</A></D=
IV>
<DIV><B>Subject:</B>&nbsp;Re: bug#16429: 24.3.50; an issue in mingw=20
making</DIV></DIV></DIV>
<DIV>
<DIV>&gt; Date: Mon, 13 Jan 2014 15:11:33 +0800</DIV>
<DIV>&gt; From: zijianyue &lt;zijianyue@HIDDEN&gt;</DIV>
<DIV>&gt; </DIV>
<DIV>&gt; when making emacs from bzr sourcecode the first time on win32 ,t=
he=20
dir</DIV>
<DIV>&gt; share\emacs\24.3.50\etc\charsets is not exist ,but the making=20
process</DIV>
<DIV>&gt; require it,i have to copy that dir manually.</DIV>
<DIV>&nbsp;</DIV>
<DIV>I cannot reproduce this: when I make a fresh bzr branch, that</DIV>
<DIV>directory with all its files is already created for me.</DIV>
<DIV>&nbsp;</DIV>
<DIV>How did you perform the initial bzr branch=20
command?</DIV></DIV></BODY></HTML>

------=_001_NextPart335535385214_=------






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 13 Jan 2014 17:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 12:44:53 2014
Received: from localhost ([127.0.0.1]:49325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2lZF-0004AO-78
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 12:44:53 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:37142)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W2lZA-0004A7-BT
 for 16429 <at> debbugs.gnu.org; Mon, 13 Jan 2014 12:44:49 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MZC00800P307700@HIDDEN> for 16429 <at> debbugs.gnu.org;
 Mon, 13 Jan 2014 19:44:46 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZC008J0PAL2B50@HIDDEN>;
 Mon, 13 Jan 2014 19:44:46 +0200 (IST)
Date: Mon, 13 Jan 2014 19:44:35 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
In-reply-to: <t9sisrolxo.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <831u0b7p4s.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN> <t9sisrolxo.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16429
Cc: zijianyue@HIDDEN, 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Mon, 13 Jan 2014 12:01:39 -0500
> Cc: 16429 <at> debbugs.gnu.org
> 
> Note that you have the following environment variables set.

They could be either in the environment or in the Registry.  If
neither of these is set, we will not see these variables in the bug
report.

> There's no need to have these set (unless you want to do something
> unusual), and setting them is a great way to break Emacs in exactly the
> way you seem to describe above.

Right.

> So try unsetting them before you build.

If they are in the Registry, they should be deleted with regedit.

> The build process should probably unset EMACSDATA (and DOC?), like it
> does with EMACSLOADPATH.

Not sure whether we care about EMACSDOC during the build.

> I guess EMACSPATH doesn't matter?

I don't think it does.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 13 Jan 2014 17:01:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 12:01:44 2014
Received: from localhost ([127.0.0.1]:49299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2ktU-0002uK-CC
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 12:01:44 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:34682)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W2ktS-0002uA-Ah
 for 16429 <at> debbugs.gnu.org; Mon, 13 Jan 2014 12:01:42 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W2ktP-0003MW-Qj; Mon, 13 Jan 2014 12:01:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: zijianyue <zijianyue@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
References: <201401131510563598711@HIDDEN>
X-Spook: Maple bemd Watergate CESID Yukon Defcon Hugo Chavez
X-Ran: `P_`i!oBh_OZc<\gFW}Z<YedyAC:{R"vSMf;b/ow754`&iNO0T%xb2y=Bk"f_.30Z8RG9h
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 13 Jan 2014 12:01:39 -0500
In-Reply-To: <201401131510563598711@HIDDEN> (zijianyue@HIDDEN's message of
 "Mon, 13 Jan 2014 15:11:33 +0800")
Message-ID: <t9sisrolxo.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 16429
Cc: 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

zijianyue wrote:

> when making emacs from bzr sourcecode the first time on win32 ,the dir
> share\emacs\24.3.50\etc\charsets is not exist ,but the making process
> require it,i have to copy that dir manually.

It should work without it, and apparently does for most people.

Note that you have the following environment variables set.
There's no need to have these set (unless you want to do something
unusual), and setting them is a great way to break Emacs in exactly the
way you seem to describe above.

So try unsetting them before you build.

The build process should probably unset EMACSDATA (and DOC?), like it
does with EMACSLOADPATH. I guess EMACSPATH doesn't matter?

>   value of $EMACSDATA: E:/emacs/share/emacs/24.3.50/etc
>   value of $EMACSDOC: E:/emacs/share/emacs/24.3.50/etc
>   value of $EMACSLOADPATH: E:/emacs/share/emacs/24.3.50/site-lisp;E:/emacs/share/emacs/site-lisp;E:/emacs/share/emacs/24.3.50/lisp
>   value of $EMACSPATH: E:/emacs/libexec/emacs/24.3.50/i686-pc-mingw32




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at 16429 <at> debbugs.gnu.org:


Received: (at 16429) by debbugs.gnu.org; 13 Jan 2014 16:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 11:53:49 2014
Received: from localhost ([127.0.0.1]:49280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2klo-0002dc-Us
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 11:53:49 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:58466)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W2kll-0002dR-OI
 for 16429 <at> debbugs.gnu.org; Mon, 13 Jan 2014 11:53:46 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MZC00500MWWM500@HIDDEN> for 16429 <at> debbugs.gnu.org;
 Mon, 13 Jan 2014 18:53:44 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZC0057WMXJLO10@HIDDEN>;
 Mon, 13 Jan 2014 18:53:44 +0200 (IST)
Date: Mon, 13 Jan 2014 18:53:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16429: 24.3.50; an issue in mingw making
In-reply-to: <201401131510563598711@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: zijianyue <zijianyue@HIDDEN>
Message-id: <838uuj7rhv.fsf@HIDDEN>
References: <201401131510563598711@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16429
Cc: 16429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 13 Jan 2014 15:11:33 +0800
> From: zijianyue <zijianyue@HIDDEN>
> 
> when making emacs from bzr sourcecode the first time on win32 ,the dir
> share\emacs\24.3.50\etc\charsets is not exist ,but the making process
> require it,i have to copy that dir manually.

I cannot reproduce this: when I make a fresh bzr branch, that
directory with all its files is already created for me.

How did you perform the initial bzr branch command?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2014 07:22:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 02:22:20 2014
Received: from localhost ([127.0.0.1]:48288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2bqk-0007lv-Cb
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 02:22:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48346)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bqf-0007lh-F5
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 02:22:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bqV-0007Yh-Iu
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 02:22:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.2 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RCVD_IN_BL_SPAMCOP_NET,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39031)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bqV-0007Yd-F6
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2014 02:22:03 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50006)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bqN-0006eH-Ut
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2014 02:22:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bqG-0007UP-HP
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2014 02:21:55 -0500
Received: from m50-132.163.com ([123.125.50.132]:44609)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <zijianyue@HIDDEN>) id 1W2bmG-0005wa-EP
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2014 02:21:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=Date:From:Subject:Mime-Version:Message-ID; bh=qrg2S
 BmEFy+cMQhu8Cb2JnryvLAJxGppjxyn8PomWKM=; b=bmOgfJJ7sv6GT1MQMKJeO
 eEXaQo+eFmW2StUyZtgnWFCbtHHbUnqMu2zjQeszlJgYHMID7MyC0F84//E0QmSJ
 orkwqm/2ALfEGku1u7L1kuysCESYUQBwOqVcRVwmyNhlh489CDtC0+WGqkVPKKYG
 8GlHO0VJtunP8Ytie2LTk4=
Received: from XP-201104270939 (unknown [222.161.200.146])
 by smtp2 (Coremail) with SMTP id DNGowEB5EGKbkdNSFJDuCQ--.24150S2;
 Mon, 13 Jan 2014 15:11:25 +0800 (CST)
Date: Mon, 13 Jan 2014 15:11:33 +0800
From: zijianyue <zijianyue@HIDDEN>
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Subject: 24.3.50; an issue in mingw making
X-Priority: 3
X-GUID: 78CCEDDE-609A-4802-B6F0-E0E564061329
X-Has-Attach: no
X-Mailer: Foxmail 7, 1, 3, 52[cn]
Mime-Version: 1.0
Message-ID: <201401131510563598711@HIDDEN>
Content-Type: multipart/alternative;
 boundary="----=_001_NextPart587580772581_=----"
X-CM-TRANSID: DNGowEB5EGKbkdNSFJDuCQ--.24150S2
X-Coremail-Antispam: 1Uf129KBjvJXoW3Zw15Ww4DGF4DCF1xKr1fXrb_yoWkJrWkpr
 12ywn8Kryvqr1fArykX3yqg3Z7t3s7Aas7GFn7C3ZFyr1UGry2qr9rtr4Dt3s3Cr1vkw1f
 JwsIgrsFyw4Ut3DanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07jjhFxUUUUU=
X-Originating-IP: [222.161.200.146]
X-CM-SenderInfo: 52lmxtpq1xvqqrwthudrp/1tbi6wcSRlEAJC01+wAAsu
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

This is a multi-part message in MIME format.

------=_001_NextPart587580772581_=----
Content-Type: text/plain;
	charset="GB2312"
Content-Transfer-Encoding: base64
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=

------=_001_NextPart587580772581_=----
Content-Type: text/html;
	charset="GB2312"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Dgb2312" http-equiv=3DContent-Type>
<STYLE>
BLOCKQUOTE {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px; MARGIN-LEFT: 2em
}
OL {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
UL {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
P {
	MARGIN-TOP: 0px; MARGIN-BOTTOM: 0px
}
BODY {
	LINE-HEIGHT: 1.5; FONT-FAMILY: =CB=CE=CC=E5; COLOR: #000000; FONT-SIZE: 1=
0.5pt
}
</STYLE>

<META name=3DGENERATOR content=3D"MSHTML 8.00.6001.23543"></HEAD>
<BODY style=3D"MARGIN: 10px">
<DIV>*** E-Mail body has been placed on clipboard, please paste it here!=20
***</DIV>
<DIV>
<DIV>&nbsp;</DIV>
<DIV>when making emacs from bzr sourcecode the first time on win32 ,the=20
dir</DIV>
<DIV>share\emacs\24.3.50\etc\charsets is not exist ,but the making process=
</DIV>
<DIV>require it,i have to copy that dir manually.</DIV>
<DIV>&nbsp;</DIV>
<DIV>&nbsp;</DIV>
<DIV>&nbsp;</DIV>
<DIV>In GNU Emacs 24.3.50.1 (i686-pc-mingw32)</DIV>
<DIV>of 2014-01-13 on XP-201104270939</DIV>
<DIV>Repository revision:=20
dancol@HIDDEN</DIV>
<DIV>Windowing system distributor `Microsoft Corp.', version 5.1.2600</DIV=
>
<DIV>Configured using:</DIV>
<DIV>`configure --prefix=3D/e/emacs --enable-checking 'CFLAGS=3D-O0 -g3'</=
DIV>
<DIV>CPPFLAGS=3D-DGLYPH_DEBUG=3D1'</DIV>
<DIV>&nbsp;</DIV>
<DIV>Important settings:</DIV>
<DIV>&nbsp; value of $EMACSDATA: E:/emacs/share/emacs/24.3.50/etc</DIV>
<DIV>&nbsp; value of $EMACSDOC: E:/emacs/share/emacs/24.3.50/etc</DIV>
<DIV>&nbsp; value of $EMACSLOADPATH:=20
E:/emacs/share/emacs/24.3.50/site-lisp;E:/emacs/share/emacs/site-lisp;E:/e=
macs/share/emacs/24.3.50/lisp</DIV>
<DIV>&nbsp; value of $EMACSPATH:=20
E:/emacs/libexec/emacs/24.3.50/i686-pc-mingw32</DIV>
<DIV>&nbsp; value of $LANG: CHS</DIV>
<DIV>&nbsp; locale-coding-system: cp936</DIV>
<DIV>&nbsp;</DIV>
<DIV>Major mode: Fundamental</DIV>
<DIV>&nbsp;</DIV>
<DIV>Minor modes in effect:</DIV>
<DIV>&nbsp; recent-jump-small-mode: t</DIV>
<DIV>&nbsp; diff-auto-refine-mode: t</DIV>
<DIV>&nbsp; global-auto-complete-mode: t</DIV>
<DIV>&nbsp; delete-selection-mode: t</DIV>
<DIV>&nbsp; which-function-mode: t</DIV>
<DIV>&nbsp; show-paren-mode: t</DIV>
<DIV>&nbsp; global-auto-revert-mode: t</DIV>
<DIV>&nbsp; electric-pair-mode: t</DIV>
<DIV>&nbsp; cua-mode: t</DIV>
<DIV>&nbsp; global-ede-mode: t</DIV>
<DIV>&nbsp; global-semanticdb-minor-mode: t</DIV>
<DIV>&nbsp; global-semantic-idle-scheduler-mode: t</DIV>
<DIV>&nbsp; global-semantic-idle-summary-mode: t</DIV>
<DIV>&nbsp; semantic-mode: t</DIV>
<DIV>&nbsp; tooltip-mode: t</DIV>
<DIV>&nbsp; electric-indent-mode: t</DIV>
<DIV>&nbsp; mouse-wheel-mode: t</DIV>
<DIV>&nbsp; tool-bar-mode: t</DIV>
<DIV>&nbsp; menu-bar-mode: t</DIV>
<DIV>&nbsp; file-name-shadow-mode: t</DIV>
<DIV>&nbsp; global-font-lock-mode: t</DIV>
<DIV>&nbsp; blink-cursor-mode: t</DIV>
<DIV>&nbsp; auto-composition-mode: t</DIV>
<DIV>&nbsp; auto-encryption-mode: t</DIV>
<DIV>&nbsp; auto-compression-mode: t</DIV>
<DIV>&nbsp; buffer-read-only: t</DIV>
<DIV>&nbsp; size-indication-mode: t</DIV>
<DIV>&nbsp; column-number-mode: t</DIV>
<DIV>&nbsp; line-number-mode: t</DIV>
<DIV>&nbsp; transient-mark-mode: t</DIV>
<DIV>&nbsp;</DIV>
<DIV>Recent input:</DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;down-mouse-1&gt; &lt;help-ec=
ho&gt;=20
</DIV>
<DIV>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;drag-mouse-1&gt; &lt;help-echo&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;down-mouse-1&gt; </DIV>
<DIV>&lt;mouse-1&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt;=20
</DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-=
1&gt;=20
</DIV>
<DIV>&lt;mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt;=
=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-=
1&gt;=20
</DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt;=20
</DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-movement&gt;=20
&lt;drag-mouse-1&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;drag-mouse-1&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;down-mouse-1&gt; </DIV>
<DIV>&lt;mouse-1&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;help-echo&=
gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;drag-mouse-1&gt; &lt;help-echo&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;down-mouse-1&gt; </DIV>
<DIV>&lt;mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-1&=
gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt;=20
</DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;help-echo&=
gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-movement&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;help-echo&gt;=20
&lt;mouse-movement&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;drag-mouse-1&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt;=20
</DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;help-echo&=
gt;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;help-echo&gt; </DIV>
<DIV>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&g=
t;=20
&lt;menu-bar&gt; </DIV>
<DIV>&lt;help-menu&gt; &lt;send-emacs-bug-report&gt;</DIV>
<DIV>&nbsp;</DIV>
<DIV>Recent messages:</DIV>
<DIV>Mark saved where search started</DIV>
<DIV>The ECB is now deactivated.</DIV>
<DIV>Mark set [4 times]</DIV>
<DIV>(New file)</DIV>
<DIV>Mark set [2 times]</DIV>
<DIV>byte-code: Beginning of buffer [4 times]</DIV>
<DIV>Buffer adf modified; kill anyway?&nbsp; y</DIV>
<DIV>(New file)</DIV>
<DIV>Buffer adfads modified; kill anyway?&nbsp; y</DIV>
<DIV>q is undefined</DIV>
<DIV>&nbsp;</DIV>
<DIV>Load-path shadows:</DIV>
<DIV>e:/emacs/share/emacs/site-lisp/expand-region-master/features/support/=
env=20
hides e:/emacs/share/emacs/24.3.50/lisp/env</DIV>
<DIV>&nbsp;</DIV>
<DIV>Features:</DIV>
<DIV>(shadow sort mail-extr emacsbug message format-spec rfc822 mml=20
mml-sec</DIV>
<DIV>mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils=
</DIV>
<DIV>mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils url-util</D=
IV>
<DIV>url-parse auth-source gnus-util mm-util mail-prsvr password-cache</DI=
V>
<DIV>url-vars eldoc semantic/symref/global cedet-global=20
semantic/symref/list</DIV>
<DIV>semantic/complete eieio-opt find-func semantic/symref hl-line hi-lock=
</DIV>
<DIV>misearch multi-isearch semantic/tag-write semantic/analyze/complete</=
DIV>
<DIV>ede/locate semantic/db-typecache semantic/ia semantic/senator</DIV>
<DIV>ecb-layout-defs cus-edit warnings ecb ecb-symboldef ecb-analyse</DIV>
<DIV>ecb-compatibility ecb-winman-support ecb-autogen autoload lisp-mnt</D=
IV>
<DIV>ecb-tod ecb-cycle ecb-eshell ecb-help ecb-jde ecb-method-browser</DIV=
>
<DIV>hideshow ecb-semantic-wrapper ecb-semantic ecb-file-browser=20
ecb-speedbar</DIV>
<DIV>ecb-layout compile comint ansi-color ecb-create-layout=20
ecb-compilation</DIV>
<DIV>ecb-common-browser ecb-navigate ecb-mode-line ecb-face tree-buffer</D=
IV>
<DIV>ecb-upgrade ecb-cedet-wrapper ecb-util info semantic/imenu=20
semantic/sb</DIV>
<DIV>vc-dispatcher vc-svn semantic/tag-file semantic/db-file data-debug</D=
IV>
<DIV>cedet-files semantic/bovine/c semantic/decorate/include</DIV>
<DIV>semantic/decorate/mode semantic/decorate pulse hideif</DIV>
<DIV>semantic/bovine/c-by semantic/lex-spp semantic/bovine/gcc=20
semantic/dep</DIV>
<DIV>semantic/bovine semantic/analyze/refs semantic/db-find=20
semantic/db-ref</DIV>
<DIV>semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn</D=
IV>
<DIV>cc-langs cc-mode-expansions cc-mode cc-fonts cc-guess cc-menus=20
cc-cmds</DIV>
<DIV>cc-styles cc-align cc-engine cc-vars cc-defs gtags sln-mode</DIV>
<DIV>project-buffer-occur project-buffer-mode+ project-buffer-mode ewoc</D=
IV>
<DIV>ede/cpp-root help-mode recent-jump-small recent-jump ring desktop</DI=
V>
<DIV>frameset fsvn fsvn-win mw32cmp mw32script fsvn-admin fsvn-blame</DIV>
<DIV>fsvn-tortoise fsvn-proclist fsvn-dired dired-aux fsvn-pub fsvn-magic<=
/DIV>
<DIV>fsvn-browse fsvn-parasite fsvn-msgedit fsvn-select fsvn-propview</DIV=
>
<DIV>fsvn-logview fsvn-diff diff-mode easy-mmode diff fsvn-minibuf=20
fsvn-popup</DIV>
<DIV>fsvn-mode fsvn-ui fsvn-cmd fsvn-config fsvn-fs fsvn-url fsvn-debug</D=
IV>
<DIV>fsvn-data fsvn-xml xml fsvn-proc fsvn-deps fsvn-env dired</DIV>
<DIV>auto-complete-config auto-complete cl-macs popup cl redo+ edmacro=20
kmacro</DIV>
<DIV>expand-region text-mode-expansions er-basic-expansions thingatpt</DIV=
>
<DIV>expand-region-custom expand-region-core advice help-fns saveplace</DI=
V>
<DIV>dichromacy-theme delsel which-func imenu paren autorevert filenotify<=
/DIV>
<DIV>elec-pair cua-base cus-start cus-load ede/speedbar ede/files ede</DIV=
>
<DIV>ede/base ede/auto ede/source eieio-speedbar speedbar sb-image dframe<=
/DIV>
<DIV>eieio-custom wid-edit cl-loaddefs cl-lib semantic/db-mode semantic/db=
=20
gv</DIV>
<DIV>eieio-base semantic/idle semantic/format ezimage semantic/tag-ls</DIV=
>
<DIV>semantic/find semantic/ctxt semantic/util-modes easymenu=20
semantic/util</DIV>
<DIV>semantic semantic/tag semantic/lex semantic/fw eieio byte-opt=20
bytecomp</DIV>
<DIV>byte-compile cconv eieio-core mode-local cedet server time-date</DIV>
<DIV>china-util tooltip electric uniquify ediff-hook vc-hooks=20
lisp-float-type</DIV>
<DIV>mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win w32-vars</DI=
V>
<DIV>tool-bar dnd fontset image regexp-opt fringe tabulated-list=20
newcomment</DIV>
<DIV>lisp-mode prog-mode register page menu-bar rfn-eshadow timer select</=
DIV>
<DIV>scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame=20
cham</DIV>
<DIV>georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao</D=
IV>
<DIV>korean japanese hebrew greek romanian slovak czech european ethiopic<=
/DIV>
<DIV>indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple=
</DIV>
<DIV>abbrev minibuffer nadvice loaddefs button faces cus-face macroexp=20
files</DIV>
<DIV>text-properties overlay sha1 md5 base64 format env code-pages mule</D=
IV>
<DIV>custom widget hashtable-print-readable backquote make-network-process=
</DIV>
<DIV>w32notify w32 multi-tty emacs)</DIV></DIV>
<DIV>&nbsp;</DIV>
<HR style=3D"WIDTH: 210px; HEIGHT: 1px" align=3Dleft color=3D#b5c4df SIZE=
=3D1>

<DIV><SPAN>zijianyue</SPAN></DIV></BODY></HTML>

------=_001_NextPart587580772581_=------






Acknowledgement sent to zijianyue <zijianyue@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16429; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.